org.apache.ignite.internal.processors.cache.persistence.checkpoint

## Class CheckpointEntry

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.checkpoint.CheckpointEntry

    public class CheckpointEntry
    extends Object

Class represents checkpoint state.

### Nested Class Summary

Nested Classes
`static class` `CheckpointEntry.GroupState`
`static class` `CheckpointEntry.GroupStateLazyStore` Group state lazy store.

### Method Summary

All Methods Instance Methods Concrete Methods
`UUID` `checkpointId()`
`WALPointer` `checkpointMark()`
`Map<Integer,CheckpointEntry.GroupState>` `groupState(IgniteWriteAheadLogManager wal)`
`Long` `partitionCounter(IgniteWriteAheadLogManager wal, int grpId, int part)`
`long` `timestamp()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### timestamp

    public long timestamp()

Returns:
  Checkpoint timestamp.

#### checkpointId

    public UUID checkpointId()

Returns:
  Checkpoint ID.

#### checkpointMark

    public WALPointer checkpointMark()

Returns:
  Checkpoint mark.

#### groupState

    public Map<Integer,CheckpointEntry.GroupState> groupState(IgniteWriteAheadLogManager wal)
                                                       throws IgniteCheckedException

Parameters:
  `wal` - Write ahead log manager.
Returns:
  Group id -> group state map.
Throws:
  `IgniteCheckedException`

#### partitionCounter

    public Long partitionCounter(IgniteWriteAheadLogManager wal,
                                 int grpId,
                                 int part)
                          throws IgniteCheckedException

Parameters:
  `wal` - Write ahead log manager.
  `grpId` - Cache group ID.
  `part` - Partition ID.
Returns:
  Partition counter or `null` if not found.
Throws:
  `IgniteCheckedException` - If something is wrong when loading the counter from WAL history.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021